修改实例描述
修改 CCI 容器计算实例的描述信息。
POST
https://api.alayanew.com/v1/cci/instance/{id}/update-description鉴权(Authorizations)
bearerAuthAuthorizationString必填用户可通过已获取的 Open API Key 做验证。例如:Bearer [YOUR_API_KEY]。
Path Parameters
idString必填实例ID,实例的唯一标识符,例如:08ba7a0e-af00-4072-a5e5-1298ed6c1aa0
Request body
descriptionString必填容器实例的描述信息,用于标识和说明实例的用途或特性。
Response
application/json · 200statusInteger业务状态码,200表示成功。
messageString接口响应信息,成功或失败原因描述。
dataObject接口返回的数据对象,成功时返回对应业务数据,失败时可能为空对象。
curl -X 'POST' \
'https://api.alayanew.com/v1/cci/instance/08ba7a0e-af00-4072-a5e5-1298ed6c1aa0/update-description' \
-H 'accept: application/json' \
-H 'Authorization: Bearer [YOUR_API_KEY]' \
-H 'Content-Type: application/json' \
-d '{
"description": "string"
}'import requests
url = "https://api.alayanew.com/v1/cci/instance/08ba7a0e-af00-4072-a5e5-1298ed6c1aa0/update-description"
headers = {
"accept": "application/json",
"Authorization": "Bearer [YOUR_API_KEY]",
"Content-Type": "application/json"
}
data = {
"description": "string"
}
response = requests.post(url, headers=headers, json=data)
print(response.text)fetch('https://api.alayanew.com/v1/cci/instance/08ba7a0e-af00-4072-a5e5-1298ed6c1aa0/update-description', {
method: 'POST',
headers: {
'accept': 'application/json',
'Authorization': 'Bearer [YOUR_API_KEY]',
'Content-Type': 'application/json'
},
body: JSON.stringify({
description: "string"
})
})
.then(response => response.text())
.then(data => console.log(data))
.catch(error => console.error(error));{
"status": 200,
"message": "OK",
"data": {}
}{
"status": 403,
"message": "Forbidden",
"data": {}
}{
"status": 500,
"message": "Internal Server Error",
"data": {}
}Last updated on
